import OpenGL.*;
class MinTest {

	public static void main( String args[] ) {
	    try {
	      MinTest test = new MinTest();
	      test.run();
	    } catch (Throwable t){
	      t.printStackTrace();
	    }
	    System.exit(0);
	}

	public void run(){
    	OpenGLwidget gl = new OpenGLwidget();
    	try {
        	main2(gl);
    	}
    	finally {
    	    gl.shutdown();
    	}
    }
    void main2(OpenGLwidget gl){
      /*
      int w = gl.getWidth();
      int h = gl.getHeight();
      gl.viewport(0, 0, w, h);
      gl.matrixMode(gl.PROJECTION);
      gl.loadIdentity();
      gl.perspective(60.0, 1.0*(float)w/(float)h, 0.05, 30000.0);
      gl.matrixMode(gl.MODELVIEW);
      gl.hint(gl.PERSPECTIVE_CORRECTION_HINT, gl.NICEST);
      gl.loadIdentity();
    	gl.clearColor( 0.8f, 0.8f, 1.0f, 1.0f );
      */
    	int i = 0;
    	while( true ) {
    	    if( gl.mouseActivity() ){
    	      System.err.println("The mouse did something.");
    	    }
    	    if( gl.kbhit() ){
    	      char c = (char) gl.getch();
    	      System.err.println("char '" + c + "'. Code = " + ((int) c));
    	      if ( c == 'Q' || c == 27 ){
    	        System.err.println("Quitting");
    	        break;
    	      }
    	    }
    	    i++;
    	    // System.err.println(i);
    	    gl.clearColor(0.f,0.5f,(float)(i % 16)/15.f, 1.f);
          gl.clear(gl.COLOR_BUFFER_BIT | gl.DEPTH_BUFFER_BIT);
        	gl.swap();
    	}
	}
}
