import OpenGL.*;

class Modelo2D {

	public static void main( String args[] ) {
	    try {
	      Modelo2D Janela = new Modelo2D();
	      Janela.run();
	    } catch (Throwable t){
	      t.printStackTrace();
	    }
	    System.exit(0);
	}

	public void run(){
    	
    	OpenGLwidget gl = null;

    	gl = new OpenGLwidget( 300,300);

    	try {
        	main2(gl);
    	}
    	finally {
    	    gl.shutdown();
    	}
    }
  
  void main2(OpenGLwidget gl){

    	double fov    = 60.0,
    		   aspect = 300 / 300,
    		   near   = 1.0,     
    		   far    = 300.0;
        float size = 10;
      int ang =0;

  		
    	
  
    	//gl.frontFace( gl.CW );
    	//gl.enable( gl.DEPTH_TEST );

    	gl.viewport( 0, 0, 300, 300 );
	
    	gl.matrixMode( gl.PROJECTION );
    	gl.loadIdentity();

     	gl.perspective( fov, aspect, near, far );
    
// Define a posio do observador no cenrio 3D
		  // OBS: 0,0,-5		ALVO: 0,0,15
      gl.lookAt(0,0,5, 0,0,-15, 0,1,0);
                     
      //gl.enable(gl.DEPTH_TEST);
      //gl.depthFunc(gl.LESS);
      gl.shadeModel(gl.SMOOTH);

      gl.matrixMode(gl.MODELVIEW);         

// Define a cor de fundo da janela (R,G,B,1)
     gl.clearColor(1,1,1,1);
	      
     	while (true)
     	{
     		  // Limpa a janela 
     		  gl.clear(gl.COLOR_BUFFER_BIT | gl.DEPTH_BUFFER_BIT);     		  
    	    if ( gl.kbhit() ){
	          	System.err.println("Tecla: " + gl.getch());    	    	  
    	        break;
    	    }    	       	    
          gl.pushMatrix();            
            //gl.rotate(ang,0,0,1);
            ang ++;
            if (ang == 380)
             	ang = 0;
            gl.color(1,0,1);   	
            gl.begin(gl.POLYGON);
               gl.vertex(-2,-2,10);
               gl.vertex(2,-2,10);
							 gl.vertex(2,2,10);
            gl.end();
            //gl.auxWireCube(1);           
          gl.popMatrix();
          gl.finish();
        	gl.swap();
        	gl.flush();
    	} // do WHILE
	}

  
	
}