ORIGIN		= Symantec Caf
ORIGIN_VER	= Version 7.22
VERSION		= RELEASE

!IFDEF SUB_DEBUG
DEBUG		= $(SUB_DEBUG)
NDEBUG		= !$(SUB_DEBUG)
!ELSE
DEBUG		= 0
NDEBUG		= 1
!ENDIF

PROJ		= jmesa
APPTYPE		= JAVA CONSOLE
PROJTYPE	= class

JAVAC		= sj
MAKE		= SMAKE
LNK		= LINK


HEADERS		= 
!IF $(DEBUG)
OUTPUTDIR	= .
CREATEOUTPUTDIR	=
TARGETDIR	= .
CREATETARGETDIR	=

CFLAGS		=  -g 
DEFINES		= 
!ELSE
OUTPUTDIR	= .
CREATEOUTPUTDIR	=
TARGETDIR	= .
CREATETARGETDIR	=

CFLAGS		=  -O 
DEFINES		= 
!ENDIF

MFLAGS		= MASTERPROJ=$(PROJ) 
DEBUGGERFLAGS	=  
PAR		= PROJS BATS SRCS

INCLUDES	= -classpath .;.;D:\CAFE\BIN\..\JAVA\LIB\CLASSES.ZIP;D:\CAFE\BIN\..\JAVA\LIB\SYMCLASS.ZIP;D:\3dfxsrc\JavaOpenGL\



SRCS		= Drawable.java Rect3D.java TGAFile.java  \
		Soul.java BirdBody.java BirdSoul.java Cube.java  \
		Body.java GU.java Dart.java BirdBody2.java  \
		BirdSoul2.java Ground.java Square.java GroundSoul.java  \
		Player.java Actor.java Torus.java BirdBody3.java  \
		BirdBody4.java Teapot.java DisplayList.java LightTest.java  \
		Texture.java Textures.java MinTest.java Textures2.java 

BATS		= 

.SUFFIXES: .JAVA .CLASS 

.JAVA.CLASS:
	$(JAVAC) $(CFLAGS) $(INCLUDES) $*.java



all:	noteout createdir $(PRECOMPILE) compall $(POSTCOMPILE) _done


all2:	createdir $(PRECOMPILE) compall $(POSTCOMPILE) _done


all3:	createdir $(PRECOMPILE) compall2 $(POSTCOMPILE) _done


compall:	$(OBJS)
	$(JAVAC) $(CFLAGS) $(INCLUDES) -make -cdb $(PROJ).cdb @<<
	$(SRCS)
<<


compall2:	$(OBJS)
	$(JAVAC) $(CFLAGS) $(INCLUDES) -cdb $(PROJ).cdb @<<
	$(SRCS)
<<

noteout:
	REM Output to $(OUTPUTDIR)

createdir:
	$(CREATEOUTPUTDIR)
	$(CREATETARGETDIR)
	
_done:
		REM  Project is up to date

buildall:	clean	all3


clean:
		-del $(TARGETDIR)\$$SCW$$.$(PROJTYPE)
		-del $(TARGETDIR)\$(PROJ).CLE
		-del jmesa.dpd
		-del $(OBJS)




