import OpenGL.*;

class BirdBody extends Body {
    public BirdBody(int texture){
        this.texture = texture;
    }

    public void drawBody(OpenGLwidget gl){
        gl.bindTexture(gl.TEXTURE_2D, texture);
        gl.color(1.0f,1.0f,1.0f);
        cube.draw(gl);
    }

    public void getBounds(Rect3D rect){
        cube.getBounds(rect);
    }

    private int texture;
    private Cube cube = new Cube();
}