import OpenGL.*;

class BirdBody3 extends Body {
    public BirdBody3(OpenGLwidget gl, int texture, float inner, float outer){
        this.texture = texture;
        scale = 40;
        torus = new Torus(gl, inner, outer, 40, 40);

    }

    public void drawBody(OpenGLwidget gl){
        gl.bindTexture(gl.TEXTURE_2D, texture);
        torus.draw(gl);
    }

    private int texture;
    private Torus torus;
}