import OpenGL.*;

class BirdBody4 extends Body {
    public BirdBody4(int texture, Drawable d){
        this.texture = texture;
        scale = 40;
        drawable = d;

    }

    public void drawBody(OpenGLwidget gl){
        gl.bindTexture(gl.TEXTURE_2D, texture);
        drawable.draw(gl);
    }

    private int texture;
    private Drawable drawable;
}