import OpenGL.*;

class Cube implements Drawable {
    private static float vdata[][] = {
        {0.f,0.f,0.f},
        {0.f,0.f,1.f},
        {0.f,1.f,0.f},
        {0.f,1.f,1.f},

        {1.f,0.f,0.f},
        {1.f,0.f,1.f},
        {1.f,1.f,0.f},
        {1.f,1.f,1.f}
    };

    private static int qindicies[][] = {
        {0,2,3,1},
        {2,6,7,3},
        {0,1,5,4},

        {1,3,7,5},
        {0,4,6,2},
        {4,5,7,6}
    };

    public void draw(OpenGLwidget gl){
      GU.drawQuadMesh(gl, qindicies, vdata);
    }

    public void getBounds(Rect3D  rect){
        rect.x0 = 0.;
        rect.y0 = 0.;
        rect.z0 = 0.;
        rect.x1 = 1.;
        rect.y1 = 1.;
        rect.z1 = 1.;
    }
}