import OpenGL.*;

class Ground extends Body {
    public Ground(int texture){
        this.texture = texture;
    }

    public void drawBody(OpenGLwidget gl){
        gl.bindTexture(gl.TEXTURE_2D, texture);
        square.draw(gl);
    }

    public void getBounds(Rect3D rect){
        square.getBounds(rect);
    }

    private int texture;
    private static Square square = new Square();
}