import OpenGL.*;

class Square implements Drawable {
    private static float vdata[][] = {
        {0.f,0.f,0.f},
        {0.f,1.f,0.f},
        {1.f,1.f,0.f},
        {1.f,0.f,0.f},
    };

    private static int qindicies[][] = {
        {0,1,2,3},
    };

    public void draw(OpenGLwidget gl){
      GU.drawQuadMesh(gl, qindicies, vdata);
    }

    public void getBounds(Rect3D  rect){
        rect.x0 = 0.;
        rect.y0 = 0.;
        rect.z0 = 0.;
        rect.x1 = 0.;
        rect.y1 = 1.;
        rect.z1 = 1.;
    }
}